package com.hotent.uc.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@JsonIgnoreProperties(ignoreUnknown = true)
@TableName("uc_zabbix_log")
@ApiModel(description="记录发送zabbix告警数据")
public class ZabbixAlertLog extends BaseModel<ZabbixAlertLog> {
    /**
     * id_
     */
    @TableId("ID_")
    @ApiModelProperty(name="id",notes="id")
    protected String id;


    /**
     * 告警标题
     */
    @TableField("SUBJECT_")
    @ApiModelProperty(name="subject",notes="告警标题")
    protected String subject;

    /**
     * 告警标题
     */
    @TableField("MESSAGE_")
    @ApiModelProperty(name="subject",notes="告警内容")
    protected String message;

    /**
     * 告警人id
     */
    @TableField("ALERT_USER_ID_")
    @ApiModelProperty(name="alertUserId",notes="告警人id")
    protected String alertUserId;

    /**
     * 告警方式（1=短信2=钉钉通知）
     */
    @TableField("ALERT_TYPE_")
    @ApiModelProperty(name="alertType",notes="告警方式（1=短信2=钉钉通知）")
    protected String alertType;

    /**
     * zabbix告警id，防止重复添加
     */
    @TableField("ALERT_ID_")
    @ApiModelProperty(name="alertId",notes="zabbix告警id，防止重复添加")
    protected String alertId;

    /**
     * zabbix监控id
     */
    @TableField("BUSINESS_ID_")
    @ApiModelProperty(name="businessId",notes="zabbix监控id")
    protected String businessId;

    /**
     * zabbix主机id
     */
    @TableField("HOST_ID_")
    @ApiModelProperty(name="hostId",notes="zabbix主机id")
    protected String hostId;

    /**
     * 是否成功（0=成功1=失败）
     */
    @TableField("IS_FLAG_")
    @ApiModelProperty(name="isFlag",notes="是否成功（0=成功1=失败）")
    protected String isFlag;

    /**
     * 单位id
     */
    @TableField("TENANT_ID_")
    @ApiModelProperty(name="tenantId",notes="单位id")
    protected String tenantId;


    /**
     * 创建时间
     */
    @TableField("CREATE_TIME_")
    @ApiModelProperty(name="createTime",notes="创建时间")
    protected LocalDateTime createTime;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getAlertUserId() {
        return alertUserId;
    }

    public void setAlertUserId(String alertUserId) {
        this.alertUserId = alertUserId;
    }

    public String getAlertType() {
        return alertType;
    }

    public void setAlertType(String alertType) {
        this.alertType = alertType;
    }

    public String getIsFlag() {
        return isFlag;
    }

    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getAlertId() {
        return alertId;
    }

    public void setAlertId(String alertId) {
        this.alertId = alertId;
    }

    public String getHostId() {
        return hostId;
    }

    public void setHostId(String hostId) {
        this.hostId = hostId;
    }

    public String getBusinessId() {
        return businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }
}
